﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TreeGridSample
{
    public partial class GetImage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Response.Buffer = true;
            Response.Charset = "";
            Response.Cache.SetCacheability(HttpCacheability.NoCache);
            Response.ContentType = "image";
            Response.BinaryWrite(GetImagenById((Request["Id"])));
            Response.Flush();
            Response.End();
        }
        private byte[] GetImagenById(string id)
        {
            string path = Server.MapPath("~/Content/EmployeeImages");
            System.Drawing.Image img = System.Drawing.Image.FromFile(path + "\\" + id + ".png");
            byte[] bytes;
            using (MemoryStream ms = new MemoryStream())
            {
                img.Save(ms, System.Drawing.Imaging.ImageFormat.Png);
                bytes = ms.ToArray();
            }
            return bytes;
        }
    }
}