﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TreeGridSample.aspx.cs" Inherits="TreeGridSample.TreeGridSample" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>TreeGrid Sample</title>
   <link href=" http://cdn.syncfusion.com/16.3.0.29/js/web/flat-azure/ej.web.all.min.css" rel="stylesheet"/>
            <script src="http://cdn.syncfusion.com/js/assets/external/jquery-1.10.2.min.js"></script>
            <script src="http://cdn.syncfusion.com/js/assets/external/jsrender.min.js"></script>
            <script src="http://cdn.syncfusion.com/16.3.0.29/js/web/ej.web.all.min.js" type="text/javascript"></script>
   
</head>
    <body>
    <form id="form1" runat="server">

       <ej:TreeGrid runat="server" ID="container" IdMapping="Id" ParentIdMapping="ParentId" TreeColumnIndex="1" 
                IsResponsive="true" Load="load"  ActionComplete="ActionComplete">
            <Columns>
                <ej:TreeGridColumn HeaderText="Task Id" Field="Id" Width="60" EditType="Numeric" />
                <ej:TreeGridColumn HeaderText="Task Name" Field="Name" EditType="String" />
                <ej:TreeGridColumn HeaderText="Start Date" Field="StartDate" EditType="Datepicker" />
                <ej:TreeGridColumn HeaderText="Duration" Field="Duration" EditType="Numeric" />                
                <ej:TreeGridColumn HeaderText="Progress" Field="PercentDone" EditType="Numeric" />
                <ej:TreeGridColumn HeaderText="DropData" Field="text" EditType="Dropdown" />
            </Columns>            
             <EditSettings AllowEditing="true" AllowAdding="true" AllowDeleting="true" EditMode="cellEditing" RowPosition="Child" />
            <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,update,cancel,expandAll,collapseAll" />
            <SizeSettings Width="100%" Height="450px" />
        </ej:TreeGrid>          
        <asp:ScriptManager ID="ScriptManager" runat="server" EnablePageMethods="True" />
           <script type="text/javascript">
             
              function load(args) {
                 args.model.columns[5].editParams = { fields: { text: "Text", value: "Value" } }
              }

           </script>
  </form>
</body>
    
</html>

